List Cluster Node Logs
curl --request GET \
--url https://api.primeintellect.ai/api/admin/clusters/{cluster_id}/node-logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/admin/clusters/{cluster_id}/node-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/admin/clusters/{cluster_id}/node-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"eventType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"podName": "<string>",
"podStatus": "<string>",
"gpuName": "<string>",
"gpuCount": 123,
"podId": "<string>",
"host": "<string>",
"role": "<string>",
"changeSummary": "<string>"
}
],
"total_count": 0,
"offset": 0,
"limit": 100,
"status": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}admin-clusters
List Cluster Node Logs
Return paginated ClusterNodeLog entries for one cluster, newest first.
GET
/
api
/
admin
/
clusters
/
{cluster_id}
/
node-logs
List Cluster Node Logs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Filter logs to a single pod.
Filter logs to a single event type.
Available options:
ATTACHED, UPDATED, DETACHED, CLUSTER_UPDATED, CLUSTER_TERMINATED, AUTHORIZATION Number of items to skip.
Required range:
x >= 0Max items to return (1-100, default 20).
Required range:
1 <= x <= 100Response
Successful Response
Show child attributes
Show child attributes
Total number of items available in the dataset
Number of items to skip before starting to collect the result set
Required range:
x >= 0Maximum number of items to return
Required range:
x >= 0Response status
Was this page helpful?